Subject: [PATCH 0/1] Proposed new feature for the shred command

From: TheJostler <[email-masked]>
Date: Sun, 12 Jan 2025 18:50:23 +0000 (UTC)

From: Josjuar Lister <[email-masked]>

Hello Coreutils team,

My name is Josjuar Lister, I am a 28 year old free-lance software developer from the United Kingdom.
My main work though is System Administration and Security, and of course I'm an avid Linux user.

Shred is a tool I often used beause I like many others, value my privacy and security.

I've often needed to securely delete many files in a directory and its subdirectories, but shred does not have a feature to do this.
Oftentimes, I have written scripts to recursively shred files in a directory, but I think it would be useful to have this feature built into the shred command itself.
I decided to add this feature to the shred command and I have tested it to ensure it works as expected.

I would appreciate it if you could review this patch and consider including it in the next release of coreutils.

Kind regards,
Josjuar Lister

Josjuar Lister (1):
  Added new recursive feature to the shred command

 src/shred.c | 111 +++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 97 insertions(+), 14 deletions(-)

-- 
2.39.5